### Backwards-incompatible changes

- All Science Pipelines-related tooling and Sphinx extensions have been removed from Documenteer, and can now be found in a new Science Pipelines package called `sphinxutils` (https://github.com/lsst-dm/sphinxutils). Specific removals include:

  - `documenteer.stackdocs`
  - Configurations `documenteer.conf.pipelines` and `documenteer.conf.pipelinespkg`
  - CLI commands `stack-docs` and `package-docs`
  - Sphinx extensions:
    - `documenteer.ext.lssttasks`
    - `documenteer.ext.packagetoctree`
    - `documenteer.ext.autocppapi`
    - `documenteer.ext.autodocreset`

### New features

- User guide configuration improvements:

  - New custom automodapi templates for Pydantic BaseModels and exceptions. The exception template ensures that inherited members of exceptions are documented. The Pydantic BaseModel template ensures that inherited members from the `BaseModel` class itself are _not_ documented. These templates were originally developed as part of [Gafaelfawr](https://github.com/lsst-sqre/gafaelfawr). Now users of the user guide configuration benefit from these templates without any additional configuration.

  - The `[guide]` installation extra and `documenteer.conf.guide` configuration now include `autodoc_pydantic` for improved documentation of Pydantic models in Python API references.

  - The `documenteer.conf.guide` configuration now ignores common Sphinx warnings that are common when including references to projects that don't use Sphinx/Intersphinx for this documentation, including Pydantic and FastAPI.

- The entire `documenteer` code base is now type annotated.

### Bug fixes

-

### Other changes

- The code base is now linted and formatted with ruff.
- Start testing against Sphinx 8.
